<?php

/**
* Designed for handling serious exceptions
*
*/
class SAException extends Exception {

	function __construct($message) {
		$this->security_err($message);
		parent::__construct('<span style="color: red;">'.$message.'</span>');
	}

	/**
	 * Serve all fatal errors
	 *
	 * @param string $inner_msg
	 * @param string $public_msg
	 */
	private function security_err($inner_msg) {
		$handle = fopen("../log/admin_buglist.log","a");
		fwrite($handle, date('d.m.Y H:i:s', time()).'  '.$inner_msg.'  '.$_SERVER['SCRIPT_NAME'].'  '.get_ip()."\n");
	}
}


?>